df <- data.frame(Dose=rep(c("D1", "D2", "D3", "D4", "D5"),2),
                 gen=rep(c("M", "F"), each=5),
                 Resposta=c(2, 10, 14, 22, 28, 4, 14, 20, 32, 46),
                 nomes = c("Abel", "Januaria", "Miguelão", "Hamilton", "Dito", "Apolinário", "Adib", "Venâncio", "Amélia", "Mel"))
df


ggplot(df, aes(Dose, Resposta, group = 1)) + 
  geom_line() +
  geom_point() + 
  theme_bw()

ggplot(df, aes(Dose, Resposta), group = gen) + 
  geom_line() +
  geom_point() + 
  theme_bw()


ggplot(df, aes(Dose, Resposta, group = gen)) + 
  geom_line() +
  geom_point() + 
  theme_bw()
  

ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen)) + 
  geom_line() +
  geom_point(size = 3) + 
  theme_bw()

ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  geom_line() +
  geom_point(size = 3) + 
  theme_bw()

ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  geom_line() +
  geom_point(size = 3) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background = element_blank(), panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)

ggplot(df, aes(Dose, Resposta, group = gen, color = gen)) + 
  geom_line(aes (linetype = gen)) +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background = element_blank(), panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)

ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background = element_blank(), panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)

library(cowplot)
install.packages("magick")
library(magick)


g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)

g

system.file("Cena.png", package = "cowplot")
Cena <- magick::image_read('Cena.png')
print(Cena)



ggdraw(g) + 
    draw_image(Cena, x = 0.45, y = 0.95, hjust = 1, vjust = 1, width = 0.13, height = 0.2)



install.packages("png")
library(png)
Cena_png <- readPNG('Cena.png')

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  annotation_raster(Cena, xmin="D1", xmax = "D3", ymin=35, ymax=45) +
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_raster(Cena, xmin=-Inf, xmax = +Inf, ymin = -Inf, ymax=Inf) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g


library(grid)
g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(Cena), xmin=-Inf, xmax = +Inf, ymin = -Inf, ymax=Inf) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

system.file("Gabi.jpg", package = "cowplot")
Gabi <- magick::image_read('Gabi.jpg')
print(Gabi)

Gabi_300<-image_resize(Gabi,"300x300")
print(Gabi_300)

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(Gabi), xmin="D1", xmax = "D2", ymin = 30, ymax=42) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g


frink <- image_read("https://jeroen.github.io/images/frink.png")
print(frink)
frink_300<-image_resize(frink, "x600")
print(frink_300)
g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(frink), xmin="D1", xmax = "D3", ymin = 20, ymax=42) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

soja<-image_read("https://thumbs.dreamstime.com/z/planta-de-feij%C3%A3o-soja-com-uma-vagem-e-flor-em-um-fundo-branco-120984857.jpg")
print(soja)
soja_menor<-image_resize(soja, "300x300")
print(soja_menor)
soja_crop<-image_crop(soja_menor, "281x270")
print(soja_crop)

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(soja_menor), xmin="D1", xmax = "D3", ymin = 20, ymax=42) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(soja_crop), xmin="D1", xmax = "D3", ymin = 20, ymax=42) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(soja_crop), xmin="D1", xmax = "D3", ymin = 20, ymax=42) +
  geom_line() +
  geom_point(size = 3) + 
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  annotate("rect", xmin = "D1", xmax = "D2", ymin = 40, ymax = 45, fill = "green", alpha =0.5, linetype = "dashed", color = "black") +
  annotate("text", x = "D1", y = 38, label = "soja", fontface = "italic", color = "blue", size = 5) +
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g


g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(soja_crop), xmin="D1", xmax = "D3", ymin = 35, ymax=45) +
  geom_line() +
  geom_point(size = 3) + 
  geom_vline(xintercept = "D4", linetype = "dashed") +
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  #annotate("rect", xmin = "D1", xmax = "D2", ymin = 40, ymax = 45, fill = "green", alpha =0.5, linetype = "dashed", color = "black") +
  #annotate("text", x = "D1", y = 38, label = "soja", fontface = "italic", color = "blue", size = 5) +
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(soja_crop), xmin="D1", xmax = "D3", ymin = 35, ymax=45) +
  geom_line() +
  geom_point(size = 3) + 
  geom_vline(xintercept = "D4", linetype = "dashed") +
  geom_rect(mapping=aes(xmin=-Inf, xmax=Inf, ymin=20, ymax=30), fill = "gray100", color='gray81', alpha=0.1)+
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  #annotate("rect", xmin = "D1", xmax = "D2", ymin = 40, ymax = 45, fill = "green", alpha =0.5, linetype = "dashed", color = "black") +
  #annotate("text", x = "D1", y = 38, label = "soja", fontface = "italic", color = "blue", size = 5) +
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

#library(ggrepel)


g<-ggplot(df, aes(Dose, Resposta, group = gen, linetype = gen, color = gen)) + 
  annotation_custom(rasterGrob(soja_crop), xmin="D1", xmax = "D3", ymin = 35, ymax=45) +
  geom_line() +
  geom_point(size = 3) + 
  geom_vline(xintercept = "D4", linetype = "dashed") +
  #geom_rect(mapping=aes(xmin=-Inf, xmax=Inf, ymin=20, ymax=30), fill = "gray100", color='gray81', alpha=0.1)+
  geom_text_repel(aes(label = nomes), box.padding = 0.9, min.segment.length = 0.5, point.size = 5, segment.linetype = 2,  size=3.5) +
  scale_color_viridis(discrete = T, begin = 0.25, end = .75) +
  scale_fill_viridis(discrete = T) + 
  #annotate("rect", xmin = "D1", xmax = "D2", ymin = 40, ymax = 45, fill = "green", alpha =0.5, linetype = "dashed", color = "black") +
  #annotate("text", x = "D1", y = 38, label = "soja", fontface = "italic", color = "blue", size = 5) +
  theme(axis.line.x = element_line(size = 0.5, colour = "black"),
        axis.line.y =element_line(size = 0.5, colour = "black"),
        axis.line = element_line(size=1, colour = "black"),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(), #element_rect(fill=NA, linetype=1, colour="black"),
        panel.background =element_blank(), #element_rect(fill='transparent'), 
        panel.spacing = unit(1, "lines"),
        axis.text.x=element_text(size=16, face="bold", color="black"),
        axis.text.y=element_text(size=14, face="bold", color = "black"),
        axis.title.y=element_text(size=16, face = "bold"),
        axis.title.x = element_text (size = 16, face = "bold"), 
        legend.title = element_text(size = 12),
        legend.text = element_text(size=12),
        aspect.ratio = 1.5/1)
g

